eoQuadOp(3)

NAME
eoQuadOp - Quad genetic operator: subclasses eoOp, and defines basically the operator() with two operands, both can be modified.

SYNOPSIS

#include <eoOp.h>

Inherits eoOp< EOType >< EOType >, and eoBF< EOType &, EOType &, bool >.

  Public Member Functions
eoQuadOp ()
Ctor.
virtual std::string className () const

Detailed Description

  template<class EOType> class eoQuadOp< EOType >
Quad genetic operator: subclasses eoOp, and defines basically the operator() with two operands, both can be modified. When defining your own, make sure that you return a boolean value indicating that you have changed the content.

Definition at line 132 of file eoOp.h.

Author

Generated automatically by Doxygen for EO from the source code.